Bug 1262058 - Switching from laptop screen to dock with external monitors does not automatically activate dock monitors
Switching from laptop screen to dock with external monitors does not automati...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kscreen (Show other bugs)
24
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 13:55 EDT by Randy Barlow
Modified: 2017-08-08 08:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:13:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2015-09-10 13:55:14 EDT
Description of problem:
When I use my laptop's built-in display off of my docking station and then move it to the docking station, the external monitors do not become active automatically.

Version-Release number of selected component (if applicable):
% rpm -q kscreen
kscreen-5.4.0-1.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Use the laptop off the docking station.
2. (optionally) suspend the laptop by closing the lid (if you don't do this, the problem still happens, but this is my usual workflow.)
3. Dock the laptop.
4. If you suspended the laptop, use the dock's power button to wake it up. 

Actual results:
The external monitors are still off, and the video seems to still be going to the laptop's built-in display.

Expected results:
I expect the transition of moving onto the docking station to automatically turn off the laptop's built-in display, and turn on the external monitors.

Additional info:
I filed the bug upstream as well: https://bugs.kde.org/show_bug.cgi?id=352523
Comment 1 Randy Barlow 2015-09-10 13:56:31 EDT
I forgot to mention the hardware:

Laptop: Lenovo x1 Carbon Gen. 3
Graphics: % lspci | grep -i graphics
00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09)
Comment 3 Jan Kurik 2016-02-24 10:36:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:15:42 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:13:28 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.